#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

static id hotkeys[126];
static int hotkeys_flags[126];
static int hotkey_count = 0;

@interface MYHotKeyButton : NSButton {
	OSType sig;
	NSString* code;
	BOOL block;
	EventHotKeyRef keydef;
	NSUInteger m_code;
	NSUInteger k_code;
}

- (IBAction) clearKeyAssigment:(id) sender;
- (void) setCode:(NSString*) cd;
- (void) setDoNotBlock:(BOOL) bb;

+ (OSStatus)handleCarbonEvent:(EventRef)event;

static int PressingModKey ();
static OSStatus hotKeyEventHandler(EventHandlerCallRef inHandlerRef, EventRef inEvent, void* refCon);

@end
